<?
if($ku['irregate']>=20)$lr=zl($ku['irregate']); else $lr=rl($ku['irregate']);
$lrl=$ku['irregate']+1;
if($ku['irregate']==0)$lr=50;
if(isset($skidka) AND $skidka==1)$lr=round($lr/2);
$lkn=$ku['irregate'];
if(isset($_GET['level']) && $lkn<30)
{
if(isset($_GET['ok']))
{
if($ku['irregate']>=20){
if($ku['rubies']>=$lr)
{
mysql_query("UPDATE `kolhoz_user` SET `irregate` = '$lrl',`rubies` = '".($ku['rubies']-$lr)."' WHERE `id` = '$ku[id]'");
}
else
{
$rm=$lr-$ku['rubies'];
$_SESSION['no_rubies']=$rm;
}
}else{
if($ku['rubies']>=$lr)
{
mysql_query("UPDATE `kolhoz_user` SET `irregate` = '$lrl',`rubies` = '".($ku['rubies']-$lr)."' WHERE `id` = '$ku[id]'");
}
else
{
$rm=$lr-$ku['rubies'];
$_SESSION['no_rubies']=$rm;
}
}

header("Location:/shop-irregate");
}
require_header ('Подтверждение');
echo "<div class='content'><ul class='block'><li><span>".($ku['irregate']==0?"Покупка":"Прокачка")."</span>: <span><span class='epic'>Ороситель</span>".($ku['irregate']>0?", повышение уровня до $lrl":null)."</span><br/><span>цена</span>: <span><img width='16' height='16' src='/images/icons/".($ku['irregate']>=20?"ruby":"ruby").".png' alt='*'> <span class='title'>$lr</span></span></li><li class='pt'><img alt='*' width='16' height='16' src='/images/icons/tick.png'> <a href='/shop-irregate/level/ok'><span>Да, подтверждаю</span></a></li><li><img alt='*' width='16' height='16' src='/images/icons/cross.png'> <a href='/shop-irregate'><span>Нет, отказываюсь</span></a></li></ul>";
include_once 'inc/foot.php';
}
require_header ('Ороситель');
echo'<div class="content">
<div class="block">
<div>
<img width="48" height="48" src="/images/irregate.png"
alt="" class="portrait">
<span class="epic">Ороситель</span>
- система полива, созданная из союза Колодца,
Насоса и Шланга.
Облегчает труд фермера - одним кликом доставит
порцию воды к каждой грядке.
Активизируется через 2 минуты после посева и
каждые 30 минут <span class="minor">(зависит от
уровня)</span> во время роста растений.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div>
<div class="title">
Опыт и время до урожая:
</div>
<div>
Каждый уровень Оросителя увеличивает опыт получаемый за полив на (40 + 20 * уровень оросителя) % и сокращает время
до урожая на (4 + 2 * уровень оросителя) минут.
</div>
<div>Таким образом, использование Оросителя 20-го уровня позволит увеличить
опыт за полив на 440% и сократит время созревания на 44 минуты.</div>
<div class="pt title">
Время до следующего полива:
</div>
<ul>
<li>Каждый уровень Оросителя сокращает время до следующего полива на (29 * (1 - (0.8 ^ уровень оросителя))) минут.</li>
<li>Таким образом, использование <span class="title">Оросителя 20-го уровня</span> позволит
поливать грядки <span class="title">каждые 80 секунд</span>.</li>
<li>Время до первого полива всегда 2 минуты, вне зависимости от уровня Оросителя.</li>
</ul>
</div>
</div>
<div style="clear:both;"></div>
<div class="pt">';

if($ku['irregate']==0)
{
echo "<span><img width='16' height='16' src='/images/icons/tick.png' alt='*'> <a href='/shop-irregate/level'><span>Купить</span></a> (<span>цена</span>: <span><img width='16' height='16' src='/images/icons/ruby.png' alt='*'> <span class='title'>$lr</span></span>)</span>";
}
else
{
echo "Текущий уровень: <span class='title'>$ku[irregate]</span> /<span>30</span><br/>";
if($lkn<30)echo "</div><div><a href='/shop-irregate/level'>Повысить уровень</a> <span class='minor'>(цена <span><img width='16' height='16' src='/images/icons/".($ku['irregate']>=20?"ruby":"ruby").".png' alt='*'> <span
class='title'>$lr</span></span>)</span>";
}

echo'</div>
<div class="pt">
<img width="16" height="16" src="/images/icons/cart.png" alt="*">
<a href="/shop">В магазин</a>
</div>
</div>';

include_once 'inc/foot.php';
?>
